FBZOOM(1)

NAME
fbzoom - modify zoom and window parameters of a frame buffer

SYNOPSIS
fbzoom [-F frame_buffer] [-h] [-s image_sqrsize] [-w image_width] [-n image_height]

DESCRIPTION
Using vi(1) and/or emacs(1) -like keystrokes, fbzoom allows interactive zooming and panning of a frame buffer. Using the optional command line arguments,

-F  frame_buffer
    explicitly specifies the frame buffer. Otherwise, the environment variable FB_FILE specifies the current framebuffer, see brlcad(1).

-h  changes the frame buffer size to 1024x1024. By default, it is assumed to be 512x512 pixels.

-s  image_sqrsize
    disaplays the image file as a square, image_sqrsize pixels per side (default is 512x512).

-w  image_width
    disaplays the image image_width pixels wide (default is 512).

-n  image_height
    disaplays the image image_height pixels high (default is 512).

Fbzoom will display the image currently in the frame buffer and then act on commands entered by the user. Available commands are:

b ^V
    zoom Bigger (*2)

s   zoom Smaller (*0.5)

+   zoom Bigger (+1)

-   zoom Smaller (-1)

h B pan Left (1)

j N pan Down (1)

k P pan Up (1)

l F pan Right (1)

H ^B
    pan Left (many)

J ^N
    pan Down (many)

K ^P
    pan Up (many)

L ^F
    pan Right (many)

T   toggle sense of pan commands

c   goto Center

z   zoom 1 1

r   Reset to normal

q   Exit

RETURN
    Exit

Note that these commands change the way the frame buffer is viewed but not the image in the frame buffer.

SEE ALSO
bw-fb(1), gif-fb(1), pix-fb(1), pl-fb(1), rle-fb(1)

AUTHOR
Bob Suckling
Michael John Muuss
Gary S. Moss

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.